package cn.com.ctop.kuaishou.modules.batch.entity;


import org.jeecgframework.poi.excel.annotation.Excel;


/**
 * 骄阳-快分销数据对象 jy_order_list
 *
 * @author ruoyi
 * @date 2023-10-31
 */
public class JyOrderList
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long oid;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long itemId;

    /** 商品标题 */
    @Excel(name = "商品标题")
    private String itemTitle;

    /** 商品单价 */
    @Excel(name = "商品单价")
    private Long reservePrice;

    /** 商品图片 */
    @Excel(name = "商品图片")
    private String imageUrl;

    /** 订单状态 */
    @Excel(name = "订单状态")
    private Integer orderStatus;

    /** 订单创建时间 */
    @Excel(name = "订单创建时间")
    private Long orderCreateTime;

    /** 是否发货（1-发货） */
    @Excel(name = "是否发货")
    private Integer sendStatus;

    /** 订单类型 */
    @Excel(name = "订单类型")
    private Integer settlementBizType;

    /** 订单类型翻译 */
    @Excel(name = "订单类型翻译")
    private String settlementBizTypeDesc;

    /** 发货时间 */
    @Excel(name = "发货时间")
    private Long sendTime;

    /** 收获时间 */
    @Excel(name = "收获时间")
    private Long recvTime;

    /** 商家id */
    @Excel(name = "商家id")
    private Long sellerId;

    /** 推广者id */
    @Excel(name = "推广者id")
    private Long promotionId;

    /** 推广者昵称 */
    @Excel(name = "推广者昵称")
    private String promotionNickName;

    /** 二创者id */
    @Excel(name = "二创者id")
    private Long clipUserId;

    /** 二创者昵称 */
    @Excel(name = "二创者昵称")
    private String clipNickName;

    /** 活动id */
    @Excel(name = "活动id")
    private Long activityId;

    /** 订单金额 */
    @Excel(name = "订单金额")
    private Long orderAmount;

    /** 付款金额 */
    @Excel(name = "付款金额")
    private Long payAmount;

    /** 服务费率 */
    @Excel(name = "服务费率")
    private Long regimentalPromotionRate;

    /** 分成比例 */
    @Excel(name = "分成比例")
    private Long shareRate;

    /** 货款基数 */
    @Excel(name = "货款基数")
    private Long baseAmount;

    /** 技术服务费 */
    @Excel(name = "技术服务费")
    private Long serviceAmount;

    /** 商品推广佣金率 */
    @Excel(name = "商品推广佣金率")
    private Long commissionRate;

    /** 预估服务费收入 */
    @Excel(name = "预估服务费收入")
    private Long regimentalPromotionAmount;

    /** 结算服务费收入 */
    @Excel(name = "结算服务费收入")
    private Long totalRegimentalSettleAmount;
    private Long mcnPromotionAmount;
    private Long mcnSettlementAmount;

    /** 订单时间 */
    @Excel(name = "订单时间")
    private Long statDate;

    private Integer statHour;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getOid() {
        return oid;
    }

    public void setOid(Long oid) {
        this.oid = oid;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public String getItemTitle() {
        return itemTitle;
    }

    public void setItemTitle(String itemTitle) {
        this.itemTitle = itemTitle;
    }

    public Long getReservePrice() {
        return reservePrice;
    }

    public void setReservePrice(Long reservePrice) {
        this.reservePrice = reservePrice;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public Integer getOrderStatus() {
        return orderStatus;
    }

    public void setOrderStatus(Integer orderStatus) {
        this.orderStatus = orderStatus;
    }

    public Long getOrderCreateTime() {
        return orderCreateTime;
    }

    public void setOrderCreateTime(Long orderCreateTime) {
        this.orderCreateTime = orderCreateTime;
    }

    public Integer getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public Integer getSettlementBizType() {
        return settlementBizType;
    }

    public void setSettlementBizType(Integer settlementBizType) {
        this.settlementBizType = settlementBizType;
    }

    public String getSettlementBizTypeDesc() {
        return settlementBizTypeDesc;
    }

    public void setSettlementBizTypeDesc(String settlementBizTypeDesc) {
        this.settlementBizTypeDesc = settlementBizTypeDesc;
    }

    public Long getSendTime() {
        return sendTime;
    }

    public void setSendTime(Long sendTime) {
        this.sendTime = sendTime;
    }

    public Long getRecvTime() {
        return recvTime;
    }

    public void setRecvTime(Long recvTime) {
        this.recvTime = recvTime;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getPromotionId() {
        return promotionId;
    }

    public void setPromotionId(Long promotionId) {
        this.promotionId = promotionId;
    }

    public String getPromotionNickName() {
        return promotionNickName;
    }

    public void setPromotionNickName(String promotionNickName) {
        this.promotionNickName = promotionNickName;
    }

    public Long getClipUserId() {
        return clipUserId;
    }

    public void setClipUserId(Long clipUserId) {
        this.clipUserId = clipUserId;
    }

    public String getClipNickName() {
        return clipNickName;
    }

    public void setClipNickName(String clipNickName) {
        this.clipNickName = clipNickName;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public Long getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(Long orderAmount) {
        this.orderAmount = orderAmount;
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }

    public Long getRegimentalPromotionRate() {
        return regimentalPromotionRate;
    }

    public void setRegimentalPromotionRate(Long regimentalPromotionRate) {
        this.regimentalPromotionRate = regimentalPromotionRate;
    }

    public Long getShareRate() {
        return shareRate;
    }

    public void setShareRate(Long shareRate) {
        this.shareRate = shareRate;
    }

    public Long getBaseAmount() {
        return baseAmount;
    }

    public void setBaseAmount(Long baseAmount) {
        this.baseAmount = baseAmount;
    }

    public Long getServiceAmount() {
        return serviceAmount;
    }

    public void setServiceAmount(Long serviceAmount) {
        this.serviceAmount = serviceAmount;
    }

    public Long getCommissionRate() {
        return commissionRate;
    }

    public void setCommissionRate(Long commissionRate) {
        this.commissionRate = commissionRate;
    }

    public Long getRegimentalPromotionAmount() {
        return regimentalPromotionAmount;
    }

    public void setRegimentalPromotionAmount(Long regimentalPromotionAmount) {
        this.regimentalPromotionAmount = regimentalPromotionAmount;
    }

    public Long getTotalRegimentalSettleAmount() {
        return totalRegimentalSettleAmount;
    }

    public void setTotalRegimentalSettleAmount(Long totalRegimentalSettleAmount) {
        this.totalRegimentalSettleAmount = totalRegimentalSettleAmount;
    }

    public Long getMcnPromotionAmount() {
        return mcnPromotionAmount;
    }

    public void setMcnPromotionAmount(Long mcnPromotionAmount) {
        this.mcnPromotionAmount = mcnPromotionAmount;
    }

    public Long getMcnSettlementAmount() {
        return mcnSettlementAmount;
    }

    public void setMcnSettlementAmount(Long mcnSettlementAmount) {
        this.mcnSettlementAmount = mcnSettlementAmount;
    }

    public Long getStatDate() {
        return statDate;
    }

    public void setStatDate(Long statDate) {
        this.statDate = statDate;
    }

    public Integer getStatHour() {
        return statHour;
    }

    public void setStatHour(Integer statHour) {
        this.statHour = statHour;
    }

    @Override
    public String toString() {
        return "JyOrderList{" +
                "oid=" + oid +
                ", itemId=" + itemId +
                ", itemTitle='" + itemTitle + '\'' +
                ", reservePrice=" + reservePrice +
                ", imageUrl='" + imageUrl + '\'' +
                ", orderStatus=" + orderStatus +
                ", orderCreateTime=" + orderCreateTime +
                ", sendStatus=" + sendStatus +
                ", settlementBizType=" + settlementBizType +
                ", settlementBizTypeDesc='" + settlementBizTypeDesc + '\'' +
                ", sendTime=" + sendTime +
                ", recvTime=" + recvTime +
                ", sellerId=" + sellerId +
                ", promotionId=" + promotionId +
                ", promotionNickName='" + promotionNickName + '\'' +
                ", clipUserId=" + clipUserId +
                ", clipNickName='" + clipNickName + '\'' +
                ", activityId=" + activityId +
                ", orderAmount=" + orderAmount +
                ", payAmount=" + payAmount +
                ", regimentalPromotionRate=" + regimentalPromotionRate +
                ", shareRate=" + shareRate +
                ", baseAmount=" + baseAmount +
                ", serviceAmount=" + serviceAmount +
                ", commissionRate=" + commissionRate +
                ", regimentalPromotionAmount=" + regimentalPromotionAmount +
                ", totalRegimentalSettleAmount=" + totalRegimentalSettleAmount +
                ", mcnPromotionAmount=" + mcnPromotionAmount +
                ", mcnSettlementAmount=" + mcnSettlementAmount +
                ", statDate=" + statDate +
                ", statHour=" + statHour +
                '}';
    }
}

